Unsubscribe automation webhook
curl --request DELETE \
--url https://api.emailr.dev/v1/automation-webhooks/unsubscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_url": "https://hooks.zapier.com/hooks/catch/123/abc"
}
'import requests
url = "https://api.emailr.dev/v1/automation-webhooks/unsubscribe"
payload = { "target_url": "https://hooks.zapier.com/hooks/catch/123/abc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_url: 'https://hooks.zapier.com/hooks/catch/123/abc'})
};
fetch('https://api.emailr.dev/v1/automation-webhooks/unsubscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}automation-webhooks
Unsubscribe automation webhook
Remove a webhook URL for a third-party automation
DELETE
/
v1
/
automation-webhooks
/
unsubscribe
Unsubscribe automation webhook
⌘I